Add a live streaming session record via the API.
API Key API key used for authentication
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
curl -X POST "https://example.com/live-session/create" \ -H "Content-Type: application/json" \ -d '{ "platform": "string", "startTime": "2019-08-24T14:15:22Z", "endTime": "2019-08-24T14:15:22Z" }'{ "id": "00000000-0000-0000-0000-000000000000", "userId": "test-user-id", "platform": "twitch", "startTime": "2026-07-15T21:26:44.883Z", "endTime": "2026-07-15T22:26:44.883Z", "peakViewerCount": 500, "finalViewerCount": 450, "createdAt": "2026-07-15T21:26:44.883Z", "updatedAt": "2026-07-15T21:26:44.883Z"}{ "error": "string", "code": "string", "details": null}Platform name (e.g., 'twitch', 'youtube')
^[a-z0-9][a-z0-9_-]{0,79}$length <= 80Session start time (ISO 8601)
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$date-timeSession end time (ISO 8601)
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$date-timePeak viewer count during the session
0 <= value <= 100000000Final viewer count at session end
0 <= value <= 100000000